# Placeholders

AuroraLevels provides built-in placeholders for PlaceholderAPI.

* `%aurora_level%` - Current level of the player
* `%aurora_level_xp%` - Current XP of the player (not combined, just from the current level)
* `%aurora_level_xp_formatted%` - Same as above, but the number is formatted
* `%aurora_level_xp_short%` - Same as above, but the number is short formatted like 15k
* `%aurora_level_xpnext%` - How much XP is needed from the player's current level to achieve the next level (This always gives the full amount XP needed, doesn't matter if the player already has some of it.)&#x20;
* `%aurora_level_xpnext_formatted%` - Same as above, but the number is formatted
* `%aurora_level_xpnext_short%` - Same as above, but the number is short formatted like 15k
* `%aurora_level_progressbar%` - The same progressbar you can see in the menu
* `%aurora_level_icon%` - Custom icon generator for player level (to use with Oraxen/ItemsAdder for example)

Leaderboard placeholders:

* `%aurora_lb_levels_name_[number]%` - name of the player
* `%aurora_lb_levels_value_[number]%` - value of the tracked stat
* `%aurora_lb_levels_fvalue_[number]%` - same but formatted number
* `%aurora_lb_levels_cvalue_[number]%` - Custom value that the leaderboard provides. This is also formatted. **It would be best if you used this as the value placeholder.**  This is the actual level of the player. The previous two would be just their current XP.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.auroramc.gg/auroralevels/placeholders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
